=== debian/changelog ===
rabbitmq-erlang-client (2.3.1+hg20110303.1-0ubuntu2) natty; urgency=low

  * Fix FTBFS 

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 15:18:02 -0400

rabbitmq-erlang-client (2.3.1+hg20110303.1-0ubuntu1) natty; urgency=low

  [ Dustin Kirkand ]
  * Fix rabbitmq-stomp FTBFS
    - Repack the orig tarball from hg snapshot
    - original packager forgot to run 'hg up -r rabbitmq_v2_3_1' for
      Mercurial tag upping, so previous tarball was not actually what
      it claimed to be
    - debian/patches/set-version: set a version in makefile; upstream
      doesn't do this, but this breaks build-dependent packages

  [ Brian Thomason ]
  * debian/copyright: add license
  * debian/rabbitmq-erlang-client.lintian-overrides: drop this
  * debian/add-mozilla-license-file: dropped, too

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 14:22:48 -0400

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu3) natty; urgency=low

  * Removed rabbitmq-common as these files are already shipped with the server

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 11 Mar 2011 12:43:00 -0500

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu2) natty; urgency=low

  * Added missing unzip build-dep

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 04 Mar 2011 15:01:41 -0500

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu1) natty; urgency=low

  * Initial release

 -- Brian Thomason <brian.thomason@canonical.com>  Thu, 03 Mar 2011 23:44:14 -0500
