=== debian/control ===
Source: rabbitmq-erlang-client
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brian Thomason <brian.thomason@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), erlang-dev, rabbitmq-server (>= 2.3.1), zip, unzip
Standards-Version: 3.9.1
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://hg.rabbitmq.com/rabbitmq-erlang-client

Package: rabbitmq-erlang-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-server (>= 2.3.1)
Description: Erlang client for RabbitMQ
 This client offers both a networked version that uses standard TCP-based AMQP
 framing and a direct client that uses native Erlang message passing to a
 RabbitMQ broker.
