=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BROKER_DIR=/usr/lib/rabbitmq/lib/rabbitmq_server-2.3.1

override_dh_auto_install:
	#nothing to do here

override_dh_auto_test:
	#should not run test suite during build
