=== debian/changelog ===
rabbitmq-erlang-client (2.5.0+hg20110623-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 24 Jun 2011 10:01:15 -0700

rabbitmq-erlang-client (2.4.1+hg20110525-0ubuntu1) oneiric; urgency=low

  [Marc Cluet]
  * Updated to 2.4.1
  * Oneiric build 

  [Chuck Short]
  * Cleaned up debian/rules.

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 25 May 2011 07:00:03 -0700
