=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BROKER_DIR=/usr/lib/erlang/lib/rabbit_common
